#
# spec file for package irchat-pj-xemacs (Version 2.5.5p)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  automake compface ctags cyrus-sasl gpm libjpeg libpng libtiff openldap2 openldap2-client openldap2-devel openssl openssl-devel pure-xemacs xaw3d xemacs xemacs-info xpm xshared
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compface compress cpio cpp cracklib ctags cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libjpeg libpng libtiff libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2 openldap2-client openldap2-devel openssl openssl-devel pam pam-devel patch perl ps pure-xemacs rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xaw3d xemacs xemacs-info xshared

Name:         irchat-pj-xemacs
Copyright:    GPL
Group:        Applications/Editors/Emacs
Requires:     xemacs, pure-xemacs
Autoreqprov:  on
Version:      2.5.5p
Release:      89
URL:          http://irc.fan.gr.jp/pj/
Source0:      http://irc.fan.gr.jp/pj/src/2.5/irchat-pj-2.5.5p.tar.bz2
Patch0:       irchat-pj-xemacs-%{version}.dif
Summary:      IRC Client for (X)Emacs
Summary(ja):  (X)Emacs ư IRC 饤
BuildRoot:    %{_tmppath}/%{name}-root/

%description
"irchat-PJ" is an improved version of the IRC-client "irchat",
which runs on Emacs and XEmacs. 

This package has been compiled for XEmacs.

Authors:
--------
    SHIMADA Mitsunobu <simm@pure.fan.gr.jp> 
    

SuSE series: e

%prep
%setup -n irchat-pj-%{version}
%patch0  -p1

%build
%define xemacs_package_dir /usr/share/xemacs/site-packages/
# change paths to binaries (because of FHS):
for i in irchat-vars.el
do
    sed < $i -e "s/SYS_PLACEHOLDER/${RPM_ARCH}-suse-linux/g" > $i.tmp
    mv $i.tmp $i
done
make package dcc CFLAGS="-O2 -pthread -DUSE_PTHREAD -DENABLE_PTHREAD_ATTR"

%install
# "make install" fails to install "dcc" do it manually:
mkdir -p $RPM_BUILD_ROOT/usr/lib/xemacs/${RPM_ARCH}-suse-linux
install -m 755 -s dcc $RPM_BUILD_ROOT/usr/lib/xemacs/${RPM_ARCH}-suse-linux
# call "make install" for the .el and .elc files:
mkdir -p $RPM_BUILD_ROOT%{xemacs_package_dir}
make install-package DEST=$RPM_BUILD_ROOT%{xemacs_package_dir}

%files
%defattr(-,root,root)
%doc INSTALL* GPL README.25
%doc doc24 
%{xemacs_package_dir}/lisp/*
%{xemacs_package_dir}/etc/*
%{xemacs_package_dir}/pkginfo/*
/usr/lib/xemacs/*-suse-linux

%changelog -n irchat-pj-xemacs
* Sun Aug 05 2001 - mfabian@suse.de
- new package: irchat-pj-xemacs, version 2.5.5p
